## libbonobo 2.32.1

=== debian/changelog ===
libbonobo (2.32.1-3) unstable; urgency=low

  * Migrate to multi-arch. Closes: #677778. Based on the Ubuntu work.
    + Bump debhelper compat level.
    + Make runtime and development MA: same, -common is MA: foreign.
    + Require a multi-arch orbit2.
    + Update libdir.
    + Move server files to libbonobo2-0 and libbonobo2-bin.
    + 04_multiarch_compat_path.patch: new patch. Use configuration file 
      to maintain compatibility with earlier versions.
    + 05_multiarch_temp_path.patch: new patch. Use different paths for 
      lock/IOR files, so that bonobo applications from different 
      architectures work completely independently from each other. It 
      would be theoretically possible to make applications use 
      components from other architectures, but bonobo was not designed 
      this way and is deprecated upstream, so let’s keep things working 
      the way they do.
    + Pass the multiarch triplet through a -D flag for the benefit of 
      the latter patch.
    + Bump shlibs to take the new servers directory into account.
    + 06_sample_paths.patch: new patch. Fix installation paths for the 
      example to make them work with multiarch.
  * Drop *.la files.

 -- Josselin Mouette <joss@debian.org>  Fri, 22 Nov 2013 12:15:47 +0100

libbonobo (2.32.1-2) unstable; urgency=low

  * Don't use srcdir in tests/Makefile.am (Closes: #713695)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 06 Nov 2013 17:35:32 +0100

libbonobo (2.32.1-1) unstable; urgency=low

  * New upstream release.
    + debian/control.in:
      - Updated build dependencies.
  * debian/source/format,
    debian/patches/series,
    debian/rules:
    + Switch to source format 3.0 (quilt).
  * debian/patches/01_disable_deprecated.patch:
    + Patch from upstream git, don't define G_DISABLE_DEPRECATED.
      Fixes FTBFS. Closes: #707382.
  * debian/control.in,
    debian/rules:
    + Run dh-autoreconf, needed by the above patch.
  * debian/patches/02_link_add_libraries.patch:
    + Fix some sample programs not linking.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 11 May 2013 20:10:29 +0200

libbonobo (2.24.3-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/control.in:
    + Bump Standards version to 3.8.4 (No changes needed).
  * debian/rules,
    debian/libbonobo2-0.links,
    debian/libbonobo2-bin.links,
    debian/libbonobo2-dev.links,
    debian/libbonobo2-0.preinst,
    debian/libbonobo2-bin.preinst,
    debian/libbonobo2-dev.preinst:
    + Stop symlinking the doc directories; fixes FTBFS when dh-buildinfo
      is installed.

 -- David Weinehall <tao@debian.org>  Mon, 05 Apr 2010 03:10:35 +0300

libbonobo (2.24.2-1) unstable; urgency=low

  * Build-depend on libglib2.0-doc to ensure proper xrefs.
  * New upstream translation release.

 -- Josselin Mouette <joss@debian.org>  Sat, 26 Sep 2009 01:14:29 +0200

libbonobo (2.24.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/control.in:
    + Build depend on GLib >= 2.14.0.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 06 Mar 2009 18:53:16 +0100

libbonobo (2.24.0-2) unstable; urgency=low

  * Upload to unstable. Closes: #516025.

 -- Josselin Mouette <joss@debian.org>  Wed, 18 Feb 2009 23:18:23 +0100

libbonobo (2.24.0-1) experimental; urgency=low

  * New upstream release.
    + Exits when the session bus is closed. Closes: #331000.
  * Update build-dependencies to take dbus into account.
  * Standards version is 3.8.0.
  * Recommend dbus-x11.

 -- Josselin Mouette <joss@debian.org>  Tue, 11 Nov 2008 10:37:24 +0100

libbonobo (2.22.0-1) unstable; urgency=low

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 14 Mar 2008 14:40:28 +0100

libbonobo (2.21.90-1) unstable; urgency=low

  * New upstream development release with stable changes; no API change; fixes
    build with new glib.

 -- Loic Minier <lool@dooz.org>  Wed, 30 Jan 2008 17:07:17 +0100

libbonobo (2.20.4-1) unstable; urgency=low

  * New patch, 20_server-files-gettext, adapted from Ubuntu (to lookup
    both of debian-gettext-domain and ubuntu-gettext-domain):
    - activation-server/object-directory-load.c, parse_oaf_server_attrs():
      Check <oaf_server> tag attributes values for "debian-gettext-domain" or
      "ubuntu-gettext-domain" and store the latest in the previously unused
      'domain' field of the server struct.
    - bonobo-activation/bonobo-activation-server-info.c,
      bonobo_server_info_prop_lookup(): If 'domain' field is set, try
      gettext() before looking up a translation in the .server file itself.
  * New upstream stable release; no API change; bug fixes.
    - Drop relibtoolizing patch, 90_relibtoolize, as the new upstream tarball
      doesn't have the x86_64 ltmain.sh snippet hardcoding the library path to
      /usr/lib64.

 -- Loic Minier <lool@dooz.org>  Mon, 28 Jan 2008 16:44:09 +0100

libbonobo (2.20.3-1) unstable; urgency=low

  * New upstream bugfix release; no API changes.
  * libbonobo2-common.preinst: removed, it is useless.
  * Fix the dependency loop; closes: #342901.
    + New package: libbonobo2-bin, contains the support binaries that
      are not necessary for the library to run.
    + Don't version the directories, as bonobo is being deprecated
      anyway.
    + Move the moniker, the orbit module and the activation server to
      libbonobo2-0.
    + Move the documentation to libbonobo2-dev.
    + Make libbonobo2-common architecture-independent.
  * Make symbolic links to the documentation in /usr/share/doc.
    Closes: #363139.
  * 90_relibtoolize.patch: relibtoolize to avoid the /usr/lib rpath on
    amd64.
  * Standards version is 3.7.3.

 -- Josselin Mouette <joss@debian.org>  Fri, 11 Jan 2008 18:07:02 +0100

libbonobo (2.20.2-1) unstable; urgency=low

  * New upstream stable release; no API change; bug fixes.
  * Drop patch ia64build, fixed upstream long ago (see GNOME #167811),
    double-checked that it's actually fixed.


