=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: libbonobo
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: David Weinehall <tao@debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Loic Minier <lool@dooz.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: cdbs (>= 0.4.93~),
               debhelper (>= 8.1.3),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.10),
               bison,
               flex,
               intltool (>= 0.35.0),
               liborbit2-dev (>= 1:2.14.19-0.3~),
               libglib2.0-dev (>= 2.26.0),
               libxml2-dev (>= 2.6.7),
               libpopt-dev,
               gtk-doc-tools,
               docbook-xml,
               autotools-dev,
               libglib2.0-doc
Standards-Version: 3.8.4

Package: libbonobo2-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: bonobo-activation (<< 1:2.4)
Replaces: bonobo-activation (<< 1:2.4)
Description: Bonobo CORBA interfaces library -- support files
 Bonobo is a set of language and system independent CORBA interfaces
 for creating reusable components, controls and creating compound
 documents.
 .
 The Bonobo distribution includes a Gtk+ based implementation of the
 Bonobo interfaces, enabling developers to create reusable
 components and applications that can be used to form more complex
 documents.
 .
 This package contains the support files needed by the Bonobo library.

Package: libbonobo2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Conflicts: libbonobo-activation-dev (<< 1:2.4)
Depends: ${misc:Depends},
         libbonobo2-0 (= ${binary:Version}),
         ${shlibs:Depends},
         libglib2.0-dev (>= 2.26.0),
         liborbit2-dev (>= 1:2.14.19-0.3~),
         libpopt-dev
Replaces: libbonobo-activation-dev (<< 1:2.4),
          libbonobo2-common (<< 2.20.3-1)
Description: Bonobo CORBA interfaces library -- development files
 Bonobo is a set of language and system independent CORBA interfaces
 for creating reusable components, controls and creating compound
 documents.
 .
 The Bonobo distribution includes a Gtk+ based implementation of the
 Bonobo interfaces, enabling developers to create reusable
 components and applications that can be used to form more complex
 documents.
 .
 This package contains the headers and development libraries needed to
 build applications using Bonobo.

Package: libbonobo2-0
Architecture: any
Multi-Arch: same
Section: libs
Conflicts: libbonobo-activation4 (<< 1:2.4),
           nautilus (<< 2.2.4-5)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         libbonobo2-common (= ${source:Version}),
         ${shlibs:Depends}
Recommends: dbus-x11
Replaces: libbonobo-activation4 (<< 1:2.4),
          libbonobo2-common (<< 2.20.3-1)
Suggests: libbonobo2-bin
Description: Bonobo CORBA interfaces library
 Bonobo is a set of language and system independent CORBA interfaces
 for creating reusable components, controls and creating compound
 documents.
 .
 The Bonobo distribution includes a Gtk+ based implementation of the
 Bonobo interfaces, enabling developers to create reusable
 components and applications that can be used to form more complex
 documents.
 .
 This package contains the shared libraries.

Package: libbonobo2-bin
Architecture: any
Replaces: libbonobo2-common (<< 2.20.3-1)
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libbonobo2-common (= ${source:Version})
Description: Bonobo CORBA interfaces library -- support binaries
 Bonobo is a set of language and system independent CORBA interfaces
 for creating reusable components, controls and creating compound
 documents.
 .
 The Bonobo distribution includes a Gtk+ based implementation of the
 Bonobo interfaces, enabling developers to create reusable
 components and applications that can be used to form more complex
 documents.
 .
 This package contains a test component using bonobo and some utility 
 binaries.
