=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

CPPFLAGS += -DMULTIARCH_TRIPLET=\\\"$(DEB_HOST_MULTIARCH)\\\"
DEB_DH_MAKESHLIBS_ARGS_ALL += -V 'libbonobo2-0 (>= 2.32.1-3~)'
DEB_DH_SHLIBDEPS_ARGS_ALL += -Llibbonobo2-0
DEB_CONFIGURE_LIBEXECDIR := "\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/bonobo-activation"
DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

install/libbonobo2-common::
	rm -f $(CURDIR)/debian/tmp/usr/lib/*/bonobo/servers/broken.server
