=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/libbonobo/([\d\.]+)[02468]/libbonobo-(.*)\.tar\.gz \
        debian uupdate
